from fastapi import FastAPI

import router.chat
import router.page
import router.user

app = FastAPI()
app.include_router(router.chat.router)
app.include_router(router.user.router)
app.include_router(router.page.router)


if __name__ == "__main__":
    import uvicorn

    uvicorn.run("main:app", host="0.0.0.0", port=8000, reload=True)